org.springframework.cloud.dataflow.server.config.features

## Class TaskConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.features.TaskConfiguration

-     @Configuration
       @EnableConfigurationProperties(value={TaskConfigurationProperties.class,CommonApplicationProperties.class,DockerValidatorProperties.class,LocalPlatformProperties.class,ComposedTaskRunnerConfigurationProperties.class})
       @EnableMapRepositories(basePackages="org.springframework.cloud.dataflow.server.job")
       @EnableTransactionManagement
      public class TaskConfiguration
      extends Object

  Author:
    Thomas Risberg, Janne Valkealahti, Glenn Renfro, Michael Minella, Ilayaperumal Gopinathan, Gunnar Hillert, Christian Tzolov, David Turanski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskDeleteService` | `deleteTaskService(org.springframework.cloud.task.repository.TaskExplorer taskExplorer, LauncherRepository launcherRepository, TaskDefinitionRepository taskDefinitionRepository, TaskDeploymentRepository taskDeploymentRepository, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService, DataflowTaskExecutionDao dataflowTaskExecutionDao, DataflowJobExecutionDao dataflowJobExecutionDao, DataflowTaskExecutionMetadataDao dataflowTaskExecutionMetadataDao)`
    `DeployerConfigurationMetadataResolver` | `deployerConfigurationMetadataResolver(TaskConfigurationProperties taskConfigurationProperties)`
    `org.springframework.batch.core.explore.support.JobExplorerFactoryBean` | `jobExplorerFactoryBean(DataSource dataSource)`
    `org.springframework.batch.core.repository.support.JobRepositoryFactoryBean` | `jobRepositoryFactoryBean(DataSource dataSource, org.springframework.transaction.PlatformTransactionManager platformTransactionManager)`
    `LauncherInitializationService` | `launcherInitializationService(LauncherRepository launcherRepository, List<TaskPlatform> platforms, DeployerConfigurationMetadataResolver resolver)`
    `TaskPlatform` | `localTaskPlatform(LocalPlatformProperties localPlatformProperties, org.springframework.cloud.deployer.spi.scheduler.Scheduler localScheduler)` The default profile is active when no other profiles are active.
    `TaskSaveService` | `saveTaskService(TaskDefinitionRepository taskDefinitionRepository, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService, AppRegistryService registry)`
    `SimpleJobServiceFactoryBean` | `simpleJobServiceFactoryBean(DataSource dataSource, org.springframework.batch.core.repository.support.JobRepositoryFactoryBean repositoryFactoryBean, org.springframework.batch.core.explore.JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager dataSourceTransactionManager)`
    `TaskAppDeploymentRequestCreator` | `taskAppDeploymentRequestCreator(CommonApplicationProperties commonApplicationProperties, ApplicationConfigurationMetadataResolver metadataResolver)`
    `TaskExecutionInfoService` | `taskDefinitionRetriever(AppRegistryService registry, org.springframework.cloud.task.repository.TaskExplorer taskExplorer, TaskDefinitionRepository taskDefinitionRepository, TaskConfigurationProperties taskConfigurationProperties, LauncherRepository launcherRepository, List<TaskPlatform> taskPlatforms, ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties)`
    `TaskExecutionCreationService` | `taskExecutionRepositoryService(org.springframework.cloud.task.repository.TaskRepository taskRepository)`
    `TaskJobService` | `taskJobExecutionRepository(JobService service, org.springframework.cloud.task.repository.TaskExplorer taskExplorer, TaskDefinitionRepository taskDefinitionRepository, TaskExecutionService taskExecutionService)`
    `TaskExecutionService` | `taskService(LauncherRepository launcherRepository, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService, org.springframework.cloud.task.repository.TaskRepository taskRepository, TaskExecutionInfoService taskExecutionInfoService, TaskDeploymentRepository taskDeploymentRepository, TaskExecutionCreationService taskExecutionRepositoryService, TaskAppDeploymentRequestCreator taskAppDeploymentRequestCreator, org.springframework.cloud.task.repository.TaskExplorer taskExplorer, DataflowTaskExecutionDao dataflowTaskExecutionDao, DataflowTaskExecutionMetadataDao dataflowTaskExecutionMetadataDao, org.springframework.cloud.common.security.core.support.OAuth2TokenUtilsService oauth2TokenUtilsService, TaskSaveService taskSaveService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskConfiguration

          public TaskConfiguration()

  - ### Method Detail

    - #### deployerConfigurationMetadataResolver

          @Bean
          public DeployerConfigurationMetadataResolver deployerConfigurationMetadataResolver(TaskConfigurationProperties taskConfigurationProperties)

    - #### launcherInitializationService

          @Bean
          public LauncherInitializationService launcherInitializationService(LauncherRepository launcherRepository,
                                                                                   List<TaskPlatform> platforms,
                                                                                   DeployerConfigurationMetadataResolver resolver)

    - #### localTaskPlatform

          @Profile(value={"local","default"})
           @Bean
          public TaskPlatform localTaskPlatform(LocalPlatformProperties localPlatformProperties,
                                                                                           @Nullable
                                                                                           org.springframework.cloud.deployer.spi.scheduler.Scheduler localScheduler)

      The default profile is active when no other profiles are active. This is configured so that several tests will pass without having to explicitly enable the local profile.
      Parameters:
        `localPlatformProperties` - the local platform properties
        `localScheduler` - the local scheduler
      Returns:
        the task platform

    - #### taskDefinitionRetriever

          @Bean
          public TaskExecutionInfoService taskDefinitionRetriever(AppRegistryService registry,
                                                                        org.springframework.cloud.task.repository.TaskExplorer taskExplorer,
                                                                        TaskDefinitionRepository taskDefinitionRepository,
                                                                        TaskConfigurationProperties taskConfigurationProperties,
                                                                        LauncherRepository launcherRepository,
                                                                        List<TaskPlatform> taskPlatforms,
                                                                        ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties)

    - #### deleteTaskService

          @Bean
          public TaskDeleteService deleteTaskService(org.springframework.cloud.task.repository.TaskExplorer taskExplorer,
                                                           LauncherRepository launcherRepository,
                                                           TaskDefinitionRepository taskDefinitionRepository,
                                                           TaskDeploymentRepository taskDeploymentRepository,
                                                           org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService,
                                                           DataflowTaskExecutionDao dataflowTaskExecutionDao,
                                                           DataflowJobExecutionDao dataflowJobExecutionDao,
                                                           DataflowTaskExecutionMetadataDao dataflowTaskExecutionMetadataDao)

    - #### saveTaskService

          @Bean
          public TaskSaveService saveTaskService(TaskDefinitionRepository taskDefinitionRepository,
                                                       org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService,
                                                       AppRegistryService registry)

    - #### taskExecutionRepositoryService

          @Bean
          public TaskExecutionCreationService taskExecutionRepositoryService(org.springframework.cloud.task.repository.TaskRepository taskRepository)

    - #### taskAppDeploymentRequestCreator

          @Bean
          public TaskAppDeploymentRequestCreator taskAppDeploymentRequestCreator(CommonApplicationProperties commonApplicationProperties,
                                                                                       ApplicationConfigurationMetadataResolver metadataResolver)

    - #### taskService

          @Bean
          public TaskExecutionService taskService(LauncherRepository launcherRepository,
                                                        org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService,
                                                        org.springframework.cloud.task.repository.TaskRepository taskRepository,
                                                        TaskExecutionInfoService taskExecutionInfoService,
                                                        TaskDeploymentRepository taskDeploymentRepository,
                                                        TaskExecutionCreationService taskExecutionRepositoryService,
                                                        TaskAppDeploymentRequestCreator taskAppDeploymentRequestCreator,
                                                        org.springframework.cloud.task.repository.TaskExplorer taskExplorer,
                                                        DataflowTaskExecutionDao dataflowTaskExecutionDao,
                                                        DataflowTaskExecutionMetadataDao dataflowTaskExecutionMetadataDao,
                                                        @Nullable
                                                        org.springframework.cloud.common.security.core.support.OAuth2TokenUtilsService oauth2TokenUtilsService,
                                                        TaskSaveService taskSaveService)

    - #### taskJobExecutionRepository

          @Bean
          public TaskJobService taskJobExecutionRepository(JobService service,
                                                                 org.springframework.cloud.task.repository.TaskExplorer taskExplorer,
                                                                 TaskDefinitionRepository taskDefinitionRepository,
                                                                 TaskExecutionService taskExecutionService)

    - #### simpleJobServiceFactoryBean

          @Bean
          public SimpleJobServiceFactoryBean simpleJobServiceFactoryBean(DataSource dataSource,
                                                                               org.springframework.batch.core.repository.support.JobRepositoryFactoryBean repositoryFactoryBean,
                                                                               org.springframework.batch.core.explore.JobExplorer jobExplorer,
                                                                               org.springframework.transaction.PlatformTransactionManager dataSourceTransactionManager)
                                                                        throws Exception

      Throws:
        `Exception`

    - #### jobExplorerFactoryBean

          @Bean
          public org.springframework.batch.core.explore.support.JobExplorerFactoryBean jobExplorerFactoryBean(DataSource dataSource)

    - #### jobRepositoryFactoryBean

          @Bean
          public org.springframework.batch.core.repository.support.JobRepositoryFactoryBean jobRepositoryFactoryBean(DataSource dataSource,
                                                                                                                           org.springframework.transaction.PlatformTransactionManager platformTransactionManager)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.